// ============================================================
// Project				:	PitroRP
// Author				:	Pitfall, clockturn, and Iban
// Description				:	GUI Functions for PitroRP
// ============================================================
//	Contents: 
//	1. : Basic stuff
//	2. : Bank Functions
//	3. : Stats/statu
//	4. : Police/bounty
//	5. : Admin
//	6. : Stuff
//
// ============================================================
// Section 1 : Basic stuff
// ============================================================

$PitroRP::GUI::ver = 20;

exec("./PitroATMGUI.gui");
exec("./PitroStats.gui");
exec("./PitroStatus.gui");
exec("./PitroBankGUI.gui");
exec("./PitroPolice.gui");
exec("./reset.gui");
exec("./Pitrohelp.gui");
exec("./PitroAdmin.gui");
exec("./pitroplc.gui");
exec("./Support_ModVersion.cs");

$remapDivision[$remapCount] = "Pitro RP";

$remapName[$remapCount] = "Show Profile";
$remapCmd[$remapCount] = "showstatus";
$remapCount++;
$remapName[$remapCount] = "Admin GUI";
$remapCmd[$remapCount] = "showadmin";
$remapCount++;
$addedtoolkeys = true;


if(isObject(PitroStats))
{
	playGui.add(PitroStats);
	PitroStats.setVisible(false);  
}

// ============================================================
// Section 2 : Bank Functions/ATM
// ============================================================

//Thanks to Clockturn for some of the trigger stuff :3

function clientCmdShowATM(%onoff)
{
	if(%onoff)
	{
		canvas.pushDialog(PitroATMGUI);
	} 
	else 
	{
		canvas.popDialog(PitroATMGUI);
	}
}

function clientCmdShowBank(%onoff)
{
	if(%onoff)
	{
		canvas.pushDialog(PitroBankGUI);
	} 
	else 
	{
		canvas.popDialog(PitroBankGUI);
	}
}

function clientCmdShowpl(%onoff)
{
	if(%onoff)
	{
		canvas.pushDialog(pitroplc);
	} 
	else 
	{
		canvas.popDialog(pitroplc);
	}
}

function deposit(%client)
{
	%amount = input.getValue();

	commandToServer('bankdeposit', %amount);
}

function clientCmdupdatecash(%cash)
{
	Cashonhand.setText("" @ %cash);
}

function clientCmdupdatebank(%Bcash)
{
	Cashinbank.setText("" @ %Bcash);
}


function clientCmdupdatedebt(%debt)
{
	Debt.setText("" @ %debt);
}


function paydebt(%client)
{
	%amount = input.getValue();

	commandToServer('paydebt', %amount);
}

function withdrawalATM(%client)
{
	%amount = inputATM.getValue();

	commandToServer('bankwithdrawal', %amount);
}

function withdrawal(%client)
{
	%amount = input.getValue();

	commandToServer('bankwithdrawal', %amount);
}

function closeATM(%client)
{
	canvas.popdialog(PitroATMGUI);
}

function closebank(%client)
{
	canvas.popdialog(PitroBankGUI);
}

function withdrawalATM(%client)
{
	%amount = inputATM.getValue();

	commandToServer('bankwithdrawal', %amount);
}

function sellraw(%client)
{
	%amount = inputp.getValue();

	commandToServer('sellraw', %amount);
}

function buyraw(%client)
{
	%amount = inputp.getValue();

	commandToServer('buyraw', %amount);
}

function sellre(%client)
{
	%amount = inputp.getValue();

	commandToServer('sellre', %amount);
}

function buyre(%client)
{
	%amount = inputp.getValue();

	commandToServer('buyre', %amount);
}
// ============================================================
// Section 3 : Stats/status
// ============================================================

function showstatus()
{
	canvas.pushDialog(PitroStatus);
}

function clientCmdshowstats()
{
	PitroStats.setVisible(true);	
}


function Pitrostatus::onWake(%gui)
{
	Joblist.clear();
	commandToServer('sendjobs');
}

function clientCmdshownews(%news)
{
	news.setText("News: " @ %news);
}

function clientCmdupdatejobs(%jobname, %cost, %exp)
{
	JobList.addRow(JobList.rowCount(), %jobname TAB "$" @ %cost @ "" @ %exp);
}

function showstats()
{
	if(isObject(PitroStats))
	{
		PitroStats.setVisible(1);
	}
	else
	{
		playGui.add(PitroStats);
		PitroStats.setVisible(true);
	}  
}

function clientCmduprice(%rab, %ras, %reb, %res)
{
	rawi.setText("<font:impact:17>(Raw) sell: $" @ %ras @ " buy: $" @ %rab @ "");
	rei.setText("<font:impact:17>(Refined) sell: $" @ %res @ " buy: $" @ %reb @ "");
}

function clientCmdupdatestats(%cash, %exp, %job, %dems, %bank, %tax, %income,  %lot, %light, %debt, %rw, %rep1, %plastic, %rlastic)
{
	// Profile
	statdebt.setText("<font:impact:16>$" @ %debt);
	statcash.setText("<font:impact:16>$" @ %cash);
	statexp.setText("<font:impact:16>" @ %exp);
	statjob.setText("<font:impact:16>" @ %job);
	statdems.setText("<font:impact:16>" @ %dems);
	statbank.setText("<font:impact:16>" @ %bank);
	statraw.setText("<font:impact:16>" @ %plastic);
	statre.setText("<font:impact:16>" @ %rlastic);

	//Stats bar
	statscash.setText("" @ %cash);
	statsjob.setText("" @ %job);
	statsexp.setText("" @ %exp);
	statsincome.setText("" @ %income);
	statstax.setText("" @ %tax);
	statsplastic.setText("" @ %plastic);
	statslot.setText("" @ %lot);
	
	//misc
	raw.setText("<font:impact:19>" @ %rw);
	re.setText("<font:impact:19>" @ %rep1);
	
	if(%cash <= 0)
	{
		statscash.setText("Broke Br0");
	}

	if(%plastic <= 0)
	{
		statsplastic.setText("No plastic");
	}

	if(%income <= 0)
	{
		statsincome.setText("No income");
	}

	if(%tax <= 0)
	{
		statstax.setText("No tax");
	}

	if(%light == "0")
	{
		hasLight.setText("false");
	}
	else
	{
		hasLight.setText("true");
	}

	if(%lot == "")
	{
		//statslot.setText("No owner");
	}
}

// ============================================================
// Section 4 : Police/Bounty
// ============================================================

function clientCmdShowPolice(%onoff)
{
	if(%onoff)
	{
		canvas.pushDialog(PitroPolice);
	} 
	else 
	{
		Pitrowl.clear();
		canvas.popDialog(PitroPolice);
	}
}

function clientCmdUpdatepolice(%name, %dems, %demsYouCanBuy)
{
	Pitrowl.addRow(Pitrowl.rowCount(), %name TAB %dems);

	cpd.setText("" @ %demsYouCanBuy SPC " Dems.");

	if(%demsYouCanBuy <= 0)
	{
		cpd.setText("0 dems.");
	}
	
}

function paydems(%client)
{	
	commandToServer('paydems');
}

function clientCmdclearpllist()
{
	//Pitrowl.clear();
}

// ============================================================
// Section 5 : Admin
// ============================================================

function showadmin(%client)
{
	canvas.pushDialog(PitroAdmin);
}

// ============================================================
// Section 6 : Stuff
// ============================================================


package PitroRPClientPackage
{


	function disconnect(%bool)
	{
		PitroStats.setVisible(false);	
		
		
		return parent::disconnect(%bool);
	}


};
activatePackage(PitroRPClientPackage);

